<template>
	<div class="navbar-bg">
		<div class="navbar">
			<nav ref="navContent" class="navbar__nav">
				<ul @click="hideNavbar">
					<li>
						<router-link class="nav__link" to="/home" title="Home">Home</router-link>
					</li>
					<li>
						<router-link class="nav__link" to="/program" title="Programm">Programm</router-link>
					</li>
					<li>
						<router-link class="nav__link" to="/location" title="Location">Location</router-link>
					</li>
					<li>
						<router-link class="nav__link" to="/bookings" title="Bookings">Bookings</router-link>
					</li>
					<li>
						<router-link class="nav__link" to="/faq" title="FAQ">FAQ</router-link>
					</li>
				</ul>
			</nav>
			<user-nav ref="userNavbar" v-if="isLoggedIn" />
			<button v-else id="loginToggle" @click="toggleLoginPopup()" class="nav__link button-on-mobile">LOGIN</button>
			<div class="navbar__entity">
				<button id="navbarToggle" @click="toggleNavbar" class="button navbar__toggle">&#8801;</button>
			</div>
		</div>
	</div>
</template>

<script>

import UserNav from "@/components/UserNav";
export default {
	name: "Navbar",
	components: { UserNav },
	methods: {
		toggleNavbar() {
			this.$refs.navContent.classList.toggle("navbar__nav--show");
			if (this.$refs.userNavbar) {
				this.$refs.userNavbar.hideUserNavbar();
			}
		},
		hideNavbar() {
			this.$refs.navContent.classList.remove("navbar__nav--show");
		},
		toggleLoginPopup() {
			document.getElementById("loginPopup").classList.toggle("login-popup--show");
		},
		scrollToTop() {
			window.scrollTo(0, 0);
		}
	},
	computed: {
		isLoggedIn() {
			return this.$store.getters.isLoggedIn;
		}
	}
}
</script>

<style scoped>

</style>